#include "allegro.h"
#include "main.h"

BITMAP *buffer;
DATAFILE *sprites;

int init(void) {
	
	install_allegro(SYSTEM_AUTODETECT, &errno, atexit);
	install_keyboard();
	install_timer();
	
	set_color_depth(16);
	if (set_gfx_mode(GFX_AUTODETECT_WINDOWED,640,480,0,0)) {
		allegro_message("Couldn't create 640x480 window");
		return(0);
	}
	set_window_title("Jello Theives from Mars!");
	clear(screen);
	
	set_color_conversion(COLORCONV_TOTAL|COLORCONV_KEEP_TRANS);
	
	
	buffer =  create_bitmap(SCREEN_W,SCREEN_H);
	clear(buffer);

	LOCK_VARIABLE(OK_TO_RUN);
	LOCK_FUNCTION(add_frame);
	OK_TO_RUN=0;
	
	sprites = load_datafile("sprites.dat");
	if (!sprites) {
		allegro_message("Error: Could not load/find SPRITES.DAT");
		return(0);
	}
	
	// Fill in basic player structure
	player.x = SCREEN_W/2;
	player.y = SCREEN_H-32;
	player.state=1;
	player.frame=1;
	player.frame_delay=1;
	
	//init bullets
	{
		int x;
		for(x=0;x<MAX_BULLETS;x++) {
			bullet[x].state=0;
		}
	}
	
	return(1);
}

int main(void) {
	if (!init()) {
		allegro_message("INIT failed!");
		return(0);
	}
	
	intro();
	
	while (1) {
		title_screen();
		run_game();
	}
	
	destroy_bitmap(buffer);
	return(1);
}
END_OF_MAIN();

